package com.bc_chat.circle.contract

import com.bc_chat.bc_base.contract.UpLoadPictureContract
import com.zhaohaoting.framework.abs.contract.BaseContract

/**
 * author：Created by zhaohaoting on 2019/3/7
 * email：526309416@qq.com
 * desc：
 */
interface ReleaseTopicContract {

    interface Presenter {

        fun releaseTopic(title: String, content: String, imgs: String)
    }

    interface View : BaseContract.BaseView, UpLoadPictureContract.View {

        fun releaseTopicSuccess()

        fun releaseTopicFailure(exception: Exception)
    }
}